Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.config.score.director
Class ScoreDirectorFactoryConfig

    java.lang.Object
      org.optaplanner.core.config.score.director.ScoreDirectorFactoryConfig

    public class ScoreDirectorFactoryConfig

extends Object

Nested Class Summary
`static class` | `ScoreDirectorFactoryConfig.ScoreDefinitionType`

Field Summary
`protected ScoreDirectorFactoryConfig` | `assertionScoreDirectorFactory`
`protected Integer` | `bendableHardLevelCount`
`protected Integer` | `bendableSoftLevelCount`
`protected Class<? extends EasyScoreCalculator>` | `easyScoreCalculatorClass`
`protected Class<? extends IncrementalScoreCalculator>` | `incrementalScoreCalculatorClass`
`protected String` | `initializingScoreTrend`
`protected org.kie.api.KieBase` | `kieBase`
`protected Map<String,String>` | `kieBaseConfigurationProperties`
`protected org.slf4j.Logger` | `logger`
`protected Class<? extends ScoreDefinition>` | `scoreDefinitionClass`
`protected ScoreDirectorFactoryConfig.ScoreDefinitionType` | `scoreDefinitionType`
`protected List<File>` | `scoreDrlFileList`
`protected List<String>` | `scoreDrlList`

Constructor Summary
`ScoreDirectorFactoryConfig()`

Method Summary
`ScoreDefinition` | `buildScoreDefinition()`
`InnerScoreDirectorFactory` | `buildScoreDirectorFactory(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor)`
`protected InnerScoreDirectorFactory` | `buildScoreDirectorFactory(EnvironmentMode environmentMode, SolutionDescriptor solutionDescriptor, ScoreDefinition scoreDefinition)`
`ScoreDirectorFactoryConfig` | `getAssertionScoreDirectorFactory()`
`Integer` | `getBendableHardLevelCount()`
`Integer` | `getBendableSoftLevelCount()`
`Class<? extends EasyScoreCalculator>` | `getEasyScoreCalculatorClass()`
`Class<? extends IncrementalScoreCalculator>` | `getIncrementalScoreCalculatorClass()`
`String` | `getInitializingScoreTrend()`
`org.kie.api.KieBase` | `getKieBase()`
`Map<String,String>` | `getKieBaseConfigurationProperties()`
`Class<? extends ScoreDefinition>` | `getScoreDefinitionClass()`
`ScoreDirectorFactoryConfig.ScoreDefinitionType` | `getScoreDefinitionType()`
`List<File>` | `getScoreDrlFileList()`
`List<String>` | `getScoreDrlList()`
`void` | `inherit(ScoreDirectorFactoryConfig inheritedConfig)`
`void` | `setAssertionScoreDirectorFactory(ScoreDirectorFactoryConfig assertionScoreDirectorFactory)`
`void` | `setBendableHardLevelCount(Integer bendableHardLevelCount)`
`void` | `setBendableSoftLevelCount(Integer bendableSoftLevelCount)`
`void` | `setEasyScoreCalculatorClass(Class<? extends EasyScoreCalculator> easyScoreCalculatorClass)`
`void` | `setIncrementalScoreCalculatorClass(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)`
`void` | `setInitializingScoreTrend(String initializingScoreTrend)`
`void` | `setKieBase(org.kie.api.KieBase kieBase)`
`void` | `setKieBaseConfigurationProperties(Map<String,String> kieBaseConfigurationProperties)`
`void` | `setScoreDefinitionClass(Class<? extends ScoreDefinition> scoreDefinitionClass)`
`void` | `setScoreDefinitionType(ScoreDirectorFactoryConfig.ScoreDefinitionType scoreDefinitionType)`
`void` | `setScoreDrlFileList(List<File> scoreDrlFileList)`
`void` | `setScoreDrlList(List<String> scoreDrlList)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected final transient org.slf4j.Logger logger

### scoreDefinitionClass

    protected Class<? extends ScoreDefinition> scoreDefinitionClass

### scoreDefinitionType

    protected ScoreDirectorFactoryConfig.ScoreDefinitionType scoreDefinitionType

### bendableHardLevelCount

    protected Integer bendableHardLevelCount

### bendableSoftLevelCount

    protected Integer bendableSoftLevelCount

### easyScoreCalculatorClass

    protected Class<? extends EasyScoreCalculator> easyScoreCalculatorClass

### incrementalScoreCalculatorClass

    protected Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass

### kieBase

    protected org.kie.api.KieBase kieBase

### scoreDrlList

    protected List<String> scoreDrlList

### scoreDrlFileList

    protected List<File> scoreDrlFileList

### kieBaseConfigurationProperties

    @XStreamConverter(value=KeyAsElementMapConverter.class)
    protected Map<String,String> kieBaseConfigurationProperties

### initializingScoreTrend

    protected String initializingScoreTrend

### assertionScoreDirectorFactory

    protected ScoreDirectorFactoryConfig assertionScoreDirectorFactory

Constructor Detail

### ScoreDirectorFactoryConfig

    public ScoreDirectorFactoryConfig()

Method Detail

### getScoreDefinitionClass

    public Class<? extends ScoreDefinition> getScoreDefinitionClass()

### setScoreDefinitionClass

    public void setScoreDefinitionClass(Class<? extends ScoreDefinition> scoreDefinitionClass)

### getScoreDefinitionType

    public ScoreDirectorFactoryConfig.ScoreDefinitionType getScoreDefinitionType()

### setScoreDefinitionType

    public void setScoreDefinitionType(ScoreDirectorFactoryConfig.ScoreDefinitionType scoreDefinitionType)

### getBendableHardLevelCount

    public Integer getBendableHardLevelCount()

### setBendableHardLevelCount

    public void setBendableHardLevelCount(Integer bendableHardLevelCount)

### getBendableSoftLevelCount

    public Integer getBendableSoftLevelCount()

### setBendableSoftLevelCount

    public void setBendableSoftLevelCount(Integer bendableSoftLevelCount)

### getEasyScoreCalculatorClass

    public Class<? extends EasyScoreCalculator> getEasyScoreCalculatorClass()

### setEasyScoreCalculatorClass

    public void setEasyScoreCalculatorClass(Class<? extends EasyScoreCalculator> easyScoreCalculatorClass)

### getIncrementalScoreCalculatorClass

    public Class<? extends IncrementalScoreCalculator> getIncrementalScoreCalculatorClass()

### setIncrementalScoreCalculatorClass

    public void setIncrementalScoreCalculatorClass(Class<? extends IncrementalScoreCalculator> incrementalScoreCalculatorClass)

### getKieBase

    public org.kie.api.KieBase getKieBase()

### setKieBase

    public void setKieBase(org.kie.api.KieBase kieBase)

### getScoreDrlList

    public List<String> getScoreDrlList()

### setScoreDrlList

    public void setScoreDrlList(List<String> scoreDrlList)

### getScoreDrlFileList

    public List<File> getScoreDrlFileList()

### setScoreDrlFileList

    public void setScoreDrlFileList(List<File> scoreDrlFileList)

### getKieBaseConfigurationProperties

    public Map<String,String> getKieBaseConfigurationProperties()

### setKieBaseConfigurationProperties

    public void setKieBaseConfigurationProperties(Map<String,String> kieBaseConfigurationProperties)

### getInitializingScoreTrend

    public String getInitializingScoreTrend()

### setInitializingScoreTrend

    public void setInitializingScoreTrend(String initializingScoreTrend)

### getAssertionScoreDirectorFactory

    public ScoreDirectorFactoryConfig getAssertionScoreDirectorFactory()

### setAssertionScoreDirectorFactory

    public void setAssertionScoreDirectorFactory(ScoreDirectorFactoryConfig assertionScoreDirectorFactory)

### buildScoreDirectorFactory

    public InnerScoreDirectorFactory buildScoreDirectorFactory(EnvironmentMode environmentMode,
                                                               SolutionDescriptor solutionDescriptor)

### buildScoreDirectorFactory

    protected InnerScoreDirectorFactory buildScoreDirectorFactory(EnvironmentMode environmentMode,
                                                                  SolutionDescriptor solutionDescriptor,
                                                                  ScoreDefinition scoreDefinition)

### buildScoreDefinition

    public ScoreDefinition buildScoreDefinition()

### inherit

    public void inherit(ScoreDirectorFactoryConfig inheritedConfig)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.